package xyz.tbvns.GeometryDash;

import lombok.Data;

@Data
public class TextureReference {
    private float x = -1;
    private float y = -1;
    private float w = -1;
    private float h = -1;
    private String name;
    private boolean rotated = false;

    public boolean isValid() {
        return x!=-1 &&
               y!=-1 &&
               w!=-1 &&
               h!=-1 &&
               name!=null;
    }
}
